App\Entity\ReparationType:
    type: entity
    table: reparation_type
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        titre:
            type: string
            length: 255
            fixed: false
            nullable: true
        icon:
            type: string
            length: 255
            fixed: false
            nullable: true
        photo:
            type: string
            length: 255
            fixed: false
            nullable: true
    oneToMany:
        reparations:
            targetEntity: Reparation
            mappedBy: reparationType
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: reparationTypes
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false